ru.bitel.bgbilling.modules.voice.api.common.bean

## Class VoiceSession

- java.lang.Object
- - ru.bitel.bgbilling.modules.voice.api.common.bean.VoiceSession

- Direct Known Subclasses:
    VoiceSessionLog

      public class VoiceSession
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `CALL_TYPE_INCOMING`
    `static short` | `CALL_TYPE_OUTGOING`
    `static short` | `SESSION_TYPE_ADDITINAL`
    `static short` | `SESSION_TYPE_OPERATOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VoiceSession()`
    `VoiceSession(VoiceSession session)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAccountId()`
    `java.util.Map<java.lang.Integer,VoiceSessionAccount>` | `getAccountMap()` Получение наработки сессии с разбивкой по услугам
    `java.lang.String` | `getAccountTitle()`
    `java.lang.String` | `getAcctSessionId()`
    `java.lang.String` | `getCalledStationId()`
    `java.lang.String` | `getCallingStationId()`
    `short` | `getCallType()`
    `java.math.BigDecimal` | `getCdrCallCost()`
    `java.math.BigDecimal` | `getCdrCallOperCost()`
    `int` | `getCodeId()`
    `java.lang.String` | `getContractComment()`
    `int` | `getContractId()`
    `java.lang.String` | `getContractTitle()`
    `int` | `getCostMapItemId()`
    `int` | `getDestinationId()`
    `int` | `getDeviceId()` Получение кода устройства, к которому привязан аккаунт.
    `java.lang.String` | `getE164CalledStationId()`
    `java.lang.String` | `getE164CallingStationId()`
    `java.lang.String` | `getFromPort()`
    `java.util.Date` | `getHour()`
    `long` | `getId()`
    `java.lang.String` | `getIdentifier()`
    `java.util.Date` | `getLastActive()`
    `java.math.BigDecimal` | `getMinuteCost()`
    `int` | `getOperatorId()`
    `long` | `getParentId()`
    `long` | `getRoundedSessionTime()`
    `int` | `getServiceId()`
    `java.math.BigDecimal` | `getSessionCost()`
    `java.util.Date` | `getSessionStart()`
    `java.util.Date` | `getSessionStop()`
    `long` | `getSessionTime()`
    `java.lang.String` | `getToPort()`
    `int` | `getType()`
    `int` | `getZoneId()`
    `void` | `setAccountId(int accountId)`
    `void` | `setAccountMap(java.util.Map<java.lang.Integer,VoiceSessionAccount> accountMap)` Установка наработки сессии с разбивкой по услугам.
    `void` | `setAccountTitle(java.lang.String accountTitle)`
    `void` | `setAcctSessionId(java.lang.String acctSessionId)`
    `void` | `setCalledStationId(java.lang.String calledStationId)`
    `void` | `setCallingStationId(java.lang.String callingStationId)`
    `void` | `setCallType(short callType)`
    `void` | `setCdrCallCost(java.math.BigDecimal cdrCallCost)`
    `void` | `setCdrCallOperCost(java.math.BigDecimal cdrCallOperCost)`
    `void` | `setCodeId(int codeId)`
    `void` | `setContractComment(java.lang.String contractComment)`
    `void` | `setContractId(int contractId)`
    `void` | `setContractTitle(java.lang.String contractTitle)`
    `void` | `setCostMapItemId(int costMapItemId)`
    `void` | `setDestinationId(int destinationId)`
    `void` | `setDeviceId(int deviceId)` Установка кода устройства, к которому привязывается аккаунт
    `void` | `setE164CalledStationId(java.lang.String e164CalledStationId)`
    `void` | `setE164CallingStationId(java.lang.String e164CallingStationId)`
    `void` | `setFromPort(java.lang.String fromPort)`
    `void` | `setHour(java.util.Date hour)`
    `void` | `setId(long id)`
    `void` | `setIdentifier(java.lang.String identifier)`
    `void` | `setLastActive(java.util.Date lastActive)`
    `void` | `setMinuteCost(java.math.BigDecimal minuteCost)`
    `void` | `setOperatorId(int operatorId)`
    `void` | `setParentId(long parentId)`
    `void` | `setRoundedSessionTime(long roundedSessionTime)`
    `void` | `setServiceId(int serviceId)`
    `void` | `setSessionCost(java.math.BigDecimal sessionCost)`
    `void` | `setSessionStart(java.util.Date sessionStart)`
    `void` | `setSessionStop(java.util.Date sessionStop)`
    `void` | `setSessionTime(long sessionTime)`
    `void` | `setToPort(java.lang.String toPort)`
    `void` | `setType(int type)`
    `void` | `setZoneId(int zoneId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CALL_TYPE_OUTGOING

          public static final short CALL_TYPE_OUTGOING

      See Also:
        Constant Field Values

    - #### CALL_TYPE_INCOMING

          public static final short CALL_TYPE_INCOMING

      See Also:
        Constant Field Values

    - #### SESSION_TYPE_OPERATOR

          public static final short SESSION_TYPE_OPERATOR

      See Also:
        Constant Field Values

    - #### SESSION_TYPE_ADDITINAL

          public static final short SESSION_TYPE_ADDITINAL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### VoiceSession

          public VoiceSession()

    - #### VoiceSession

          public VoiceSession(VoiceSession session)

  - ### Method Detail

    - #### getDeviceId

          public int getDeviceId()

      Получение кода устройства, к которому привязан аккаунт.
      Returns:
        код устройства

    - #### setDeviceId

          public void setDeviceId(int deviceId)

      Установка кода устройства, к которому привязывается аккаунт
      Parameters:
        `deviceId` - код устройства

    - #### getAcctSessionId

          public java.lang.String getAcctSessionId()

    - #### setAcctSessionId

          public void setAcctSessionId(java.lang.String acctSessionId)

    - #### getCalledStationId

          public java.lang.String getCalledStationId()

    - #### setCalledStationId

          public void setCalledStationId(java.lang.String calledStationId)

    - #### getCallingStationId

          public java.lang.String getCallingStationId()

    - #### setCallingStationId

          public void setCallingStationId(java.lang.String callingStationId)

    - #### getE164CalledStationId

          public java.lang.String getE164CalledStationId()

    - #### setE164CalledStationId

          public void setE164CalledStationId(java.lang.String e164CalledStationId)

    - #### getE164CallingStationId

          public java.lang.String getE164CallingStationId()

    - #### setE164CallingStationId

          public void setE164CallingStationId(java.lang.String e164CallingStationId)

    - #### getCallType

          public short getCallType()

    - #### setCallType

          public void setCallType(short callType)

    - #### getSessionStart

          public java.util.Date getSessionStart()

    - #### setSessionStart

          public void setSessionStart(java.util.Date sessionStart)

    - #### getSessionStop

          public java.util.Date getSessionStop()

    - #### setSessionStop

          public void setSessionStop(java.util.Date sessionStop)

    - #### getSessionTime

          public long getSessionTime()

    - #### setSessionTime

          public void setSessionTime(long sessionTime)

    - #### getAccountMap

          public java.util.Map<java.lang.Integer,VoiceSessionAccount> getAccountMap()

      Получение наработки сессии с разбивкой по услугам
      Returns:
        мап наработок сессии. В качестве ключа выступает код услуги. Каждая запись в себя включает код услуги, количество в секундах и рублях.

    - #### setAccountMap

          public void setAccountMap(java.util.Map<java.lang.Integer,VoiceSessionAccount> accountMap)

      Установка наработки сессии с разбивкой по услугам.
      Parameters:
        `accountMap` - мап наработок сессии. В качестве ключа выступает код услуги.

    - #### getDestinationId

          public int getDestinationId()

    - #### setDestinationId

          public void setDestinationId(int destinationId)

    - #### getZoneId

          public int getZoneId()

    - #### setZoneId

          public void setZoneId(int zoneId)

    - #### getSessionCost

          public java.math.BigDecimal getSessionCost()

    - #### setSessionCost

          public void setSessionCost(java.math.BigDecimal sessionCost)

    - #### getAccountId

          public int getAccountId()

    - #### setAccountId

          public void setAccountId(int accountId)

    - #### getContractId

          public int getContractId()

    - #### setContractId

          public void setContractId(int contractId)

    - #### getHour

          public java.util.Date getHour()

    - #### setHour

          public void setHour(java.util.Date hour)

    - #### getLastActive

          public java.util.Date getLastActive()

    - #### setLastActive

          public void setLastActive(java.util.Date lastActive)

    - #### getContractTitle

          public java.lang.String getContractTitle()

    - #### setContractTitle

          public void setContractTitle(java.lang.String contractTitle)

    - #### getContractComment

          public java.lang.String getContractComment()

    - #### setContractComment

          public void setContractComment(java.lang.String contractComment)

    - #### getIdentifier

          public java.lang.String getIdentifier()

    - #### setIdentifier

          public void setIdentifier(java.lang.String identifier)

    - #### getAccountTitle

          public java.lang.String getAccountTitle()

    - #### setAccountTitle

          public void setAccountTitle(java.lang.String accountTitle)

    - #### getCodeId

          public int getCodeId()

    - #### setCodeId

          public void setCodeId(int codeId)

    - #### getRoundedSessionTime

          public long getRoundedSessionTime()

    - #### setRoundedSessionTime

          public void setRoundedSessionTime(long roundedSessionTime)

    - #### getId

          public long getId()

    - #### setId

          public void setId(long id)

    - #### getParentId

          public long getParentId()

    - #### setParentId

          public void setParentId(long parentId)

    - #### getType

          public int getType()

    - #### setType

          public void setType(int type)

    - #### getFromPort

          public java.lang.String getFromPort()

    - #### setFromPort

          public void setFromPort(java.lang.String fromPort)

    - #### getToPort

          public java.lang.String getToPort()

    - #### setToPort

          public void setToPort(java.lang.String toPort)

    - #### getOperatorId

          public int getOperatorId()

    - #### setOperatorId

          public void setOperatorId(int operatorId)

    - #### getCostMapItemId

          public int getCostMapItemId()

    - #### setCostMapItemId

          public void setCostMapItemId(int costMapItemId)

    - #### getMinuteCost

          public java.math.BigDecimal getMinuteCost()

    - #### setMinuteCost

          public void setMinuteCost(java.math.BigDecimal minuteCost)

    - #### getServiceId

          public int getServiceId()

    - #### setServiceId

          public void setServiceId(int serviceId)

    - #### getCdrCallCost

          public java.math.BigDecimal getCdrCallCost()

    - #### setCdrCallCost

          public void setCdrCallCost(java.math.BigDecimal cdrCallCost)

    - #### getCdrCallOperCost

          public java.math.BigDecimal getCdrCallOperCost()

    - #### setCdrCallOperCost

          public void setCdrCallOperCost(java.math.BigDecimal cdrCallOperCost)